cmake_minimum_required(VERSION 2.6...3.29)
project(dbpf)

set(DBPF_HEADER
    dbpf_reader.h
)

set(DBPF_SOURCES
    dbpf_reader.c
)

add_library(dbpf STATIC ${DBPF_SOURCES} ${DBPF_HEADER}) # remove static, cmake should take care of that
target_include_directories(dbpf PUBLIC ${DBPF_HEADER})
set_target_properties(dbpf PROPERTIES FOLDER archive)
